SQOOP-EVAL(1)

NAME
sqoop-eval - Evalute a SQL query and display its results

SYNOPSIS

sqoop-eval <generic-options> <tool-options>

sqoop eval <generic-options> <tool-options>

DESCRIPTION

The create-hive-table tool populates a Hive metastore with a definition for a table based on a database table previously imported to HDFS, or one planned to be imported. This effectively performs the "--hive-import" step of sqoop-import without running the preceeding import.

If data was already loaded to HDFS, you can use this tool to finish the pipeline of importing the data to Hive. You can also create Hive tables with this tool; data then can be imported and populated into the target after a preprocessing step run by the user.

OPTIONS

The --connect and --query options are required.

  Database connection and common options

--connect (jdbc-uri)
    Specify JDBC connect string (required)

--connection-manager (class-name)
    Specify connection manager class name (optional)

--driver (class-name)
    Manually specify JDBC driver class to use

--connection-param-file (filename)
    Optional properties file that provides connection parameters

--hadoop-home (dir)
    Override $HADOOP_HOME

--help
    Print usage instructions

--password (password)
    Set authentication password (Note: This is very insecure. You should use -P instead.)

-P
    Prompt for user password

--username (username)
    Set authentication username

--verbose
    Print more information while working

  SQL evaluation options

-e, --query (statement)
    Execute statement in SQL.

ENVIRONMENT

See sqoop(1)

AUTHOR

Sqoop Team
    Author.